Bug 924967 - acl: Does not support aarch64 in f19 and rawhide
Summary: acl: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: acl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 951442
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-22 23:59 UTC by Dennis Gilmore
Modified: 2014-01-14 17:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-14 17:59:45 UTC
Type: ---


Attachments (Terms of Use)
complete patch for aarch64 (35.46 KB, patch)
2013-04-19 22:34 UTC, Al Stone (Old account - use ahs3@redhat.com)
no flags Details | Diff

Description Dennis Gilmore 2013-03-22 23:59:03 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  acl appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/acl/acl-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Kamil Dudka 2013-04-05 13:37:25 UTC
related thread at rpm-maint ML:

http://lists.rpm.org/pipermail/rpm-maint/2013-April/003528.html

Comment 2 Al Stone (Old account - use ahs3@redhat.com) 2013-04-19 22:34:36 UTC
Created attachment 737813 [details]
complete patch for aarch64

The attached patch can be applied directly to the acl package in the Fedora git tree.  When patched, acl successfully completes a koji scratch build.  It may not be the fix to rpm mentioned in the prior comment, but it does work.

Comment 3 Kamil Dudka 2013-04-21 12:50:48 UTC
The attached patch is not written by human, hence it is not maintainable by human.  If we really want to replace config.{sub,guess} at the level of acl.spec, I would prefer to replace them explicitly, instead of brute-force patching them.  That is, we can build-require whatever package that provides a new enough version of that files (automake?) and just copy the files into the build tree in %prep.

Comment 4 Peter Robinson 2014-01-14 17:59:45 UTC
This has been fixed


Note You need to log in before you can comment on or make changes to this bug.